> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get channels grouped by contact name

> Get channels grouped by contact name.
Permission required: `view-livechat-contact`.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|6.1.0             | Added       |

## OpenAPI

````json GET /api/v1/omnichannel/contacts.channels
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/omnichannel/contacts.channels": {
      "get": {
        "summary": "Get channels grouped by contact name",
        "tags": [
          "Omnichannel Contacts"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "channels": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "visitor": {
                            "type": "object",
                            "properties": {
                              "visitorId": {
                                "type": "string"
                              },
                              "source": {
                                "type": "object",
                                "properties": {
                                  "type": {
                                    "type": "string"
                                  }
                                }
                              }
                            }
                          },
                          "blocked": {
                            "type": "boolean"
                          },
                          "verified": {
                            "type": "boolean"
                          },
                          "details": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "type": "string"
                              },
                              "destination": {
                                "type": "string"
                              }
                            }
                          },
                          "lastChat": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "ts": {
                                "type": "string"
                              }
                            }
                          },
                          "field": {
                            "type": "string"
                          },
                          "value": {
                            "type": "string"
                          },
                          "verifiedAt": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "channels": [
                        {
                          "name": "widget",
                          "visitor": {
                            "visitorId": "234567987655weygcbg",
                            "source": {
                              "type": "widget"
                            }
                          },
                          "blocked": "false",
                          "verified": "true",
                          "details": {
                            "type": "widget",
                            "destination": "example.com"
                          },
                          "lastChat": {
                            "_id": "sdfgjhgfdfeG",
                            "ts": "2024-11-22T14:53:36.5Z"
                          },
                          "field": "email",
                          "value": "example@mail.com",
                          "verifiedAt": "2024-11-22T14:55:21.354Z"
                        }
                      ],
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Bad Request Example": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'contactId' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Unauthorized Example ": {
                    "value": {
                      "status": "error",
                      "message": "You must be logged in to do this."
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "get-api-v1-omnichannel-contacts.channels",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthToken"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "schema": {
              "type": "string",
              "example": "673653b997f0fbcd657f0ebf"
            },
            "in": "query",
            "name": "contactId",
            "required": "true",
            "description": "The contact's ID."
          }
        ],
        "description": "Get channels grouped by contact name.\nPermission required: `view-livechat-contact`.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|6.1.0             | Added       |"
      }
    }
  },
  "components": {
    "parameters": {
      "AuthToken": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    }
  }
}
````

